Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## nz.co.cks.tms.xml
Class ResponseBlkType

    java.lang.Object
      nz.co.cks.tms.xml.ResponseBlkType

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  MessageResponseBlk

public abstract class ResponseBlkType
extends java.lang.Object
implements java.io.Serializable

Class ResponseBlkType.

Version:
  $Revision$ $Date$
See Also:
  Serialized Form

Field Summary
`private ResponseEnquiryItem` | `_responseEnquiryItem` Field _responseEnquiryItem
`private ResponseEnquiryNcbAddress` | `_responseEnquiryNcbAddress` Field _responseEnquiryNcbAddress
`private ResponseEnquiryNcbService` | `_responseEnquiryNcbService` Field _responseEnquiryNcbService
`private java.util.Vector` | `_responseGeneralList` Field _responseGeneralList
`private ResponseNcb` | `_responseNcb` Field _responseNcb
`private ResponseReport` | `_responseReport` Field _responseReport

Constructor Summary
`ResponseBlkType()`

Method Summary
`void` | `addResponseGeneral(int index, ResponseGeneral vResponseGeneral)` Method addResponseGeneral
`void` | `addResponseGeneral(ResponseGeneral vResponseGeneral)` Method addResponseGeneral
`java.util.Enumeration` | `enumerateResponseGeneral()` Method enumerateResponseGeneral
`ResponseEnquiryItem` | `getResponseEnquiryItem()` Method getResponseEnquiryItemReturns the value of field 'responseEnquiryItem'.
`ResponseEnquiryNcbAddress` | `getResponseEnquiryNcbAddress()` Method getResponseEnquiryNcbAddressReturns the value of field 'responseEnquiryNcbAddress'.
`ResponseEnquiryNcbService` | `getResponseEnquiryNcbService()` Method getResponseEnquiryNcbServiceReturns the value of field 'responseEnquiryNcbService'.
`ResponseGeneral[]` | `getResponseGeneral()` Method getResponseGeneral
`ResponseGeneral` | `getResponseGeneral(int index)` Method getResponseGeneral
`int` | `getResponseGeneralCount()` Method getResponseGeneralCount
`ResponseNcb` | `getResponseNcb()` Method getResponseNcbReturns the value of field 'responseNcb'.
`ResponseReport` | `getResponseReport()` Method getResponseReportReturns the value of field 'responseReport'.
`boolean` | `isValid()` Method isValid
`void` | `removeAllResponseGeneral()` Method removeAllResponseGeneral
`ResponseGeneral` | `removeResponseGeneral(int index)` Method removeResponseGeneral
`void` | `setResponseEnquiryItem(ResponseEnquiryItem responseEnquiryItem)` Method setResponseEnquiryItemSets the value of field 'responseEnquiryItem'.
`void` | `setResponseEnquiryNcbAddress(ResponseEnquiryNcbAddress responseEnquiryNcbAddress)` Method setResponseEnquiryNcbAddressSets the value of field 'responseEnquiryNcbAddress'.
`void` | `setResponseEnquiryNcbService(ResponseEnquiryNcbService responseEnquiryNcbService)` Method setResponseEnquiryNcbServiceSets the value of field 'responseEnquiryNcbService'.
`void` | `setResponseGeneral(int index, ResponseGeneral vResponseGeneral)` Method setResponseGeneral
`void` | `setResponseGeneral(ResponseGeneral[] responseGeneralArray)` Method setResponseGeneral
`void` | `setResponseNcb(ResponseNcb responseNcb)` Method setResponseNcbSets the value of field 'responseNcb'.
`void` | `setResponseReport(ResponseReport responseReport)` Method setResponseReportSets the value of field 'responseReport'.
`void` | `validate()` Method validate

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### _responseEnquiryItem

    private ResponseEnquiryItem _responseEnquiryItem

  Field _responseEnquiryItem

### _responseEnquiryNcbAddress

    private ResponseEnquiryNcbAddress _responseEnquiryNcbAddress

  Field _responseEnquiryNcbAddress

### _responseEnquiryNcbService

    private ResponseEnquiryNcbService _responseEnquiryNcbService

  Field _responseEnquiryNcbService

### _responseGeneralList

    private java.util.Vector _responseGeneralList

  Field _responseGeneralList

### _responseNcb

    private ResponseNcb _responseNcb

  Field _responseNcb

### _responseReport

    private ResponseReport _responseReport

  Field _responseReport

Constructor Detail

### ResponseBlkType

    public ResponseBlkType()

Method Detail

### addResponseGeneral

    public void addResponseGeneral(int index,
                                   ResponseGeneral vResponseGeneral)
                            throws java.lang.IndexOutOfBoundsException

  Method addResponseGeneral

  Parameters:
    `index` -
    `vResponseGeneral` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### addResponseGeneral

    public void addResponseGeneral(ResponseGeneral vResponseGeneral)
                            throws java.lang.IndexOutOfBoundsException

  Method addResponseGeneral

  Parameters:
    `vResponseGeneral` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### enumerateResponseGeneral

    public java.util.Enumeration enumerateResponseGeneral()

  Method enumerateResponseGeneral

### getResponseEnquiryItem

    public ResponseEnquiryItem getResponseEnquiryItem()

  Method getResponseEnquiryItemReturns the value of field 'responseEnquiryItem'.

  Returns:
    the value of field 'responseEnquiryItem'.

### getResponseEnquiryNcbAddress

    public ResponseEnquiryNcbAddress getResponseEnquiryNcbAddress()

  Method getResponseEnquiryNcbAddressReturns the value of field 'responseEnquiryNcbAddress'.

  Returns:
    the value of field 'responseEnquiryNcbAddress'.

### getResponseEnquiryNcbService

    public ResponseEnquiryNcbService getResponseEnquiryNcbService()

  Method getResponseEnquiryNcbServiceReturns the value of field 'responseEnquiryNcbService'.

  Returns:
    the value of field 'responseEnquiryNcbService'.

### getResponseGeneral

    public ResponseGeneral[] getResponseGeneral()

  Method getResponseGeneral

### getResponseGeneral

    public ResponseGeneral getResponseGeneral(int index)
                                       throws java.lang.IndexOutOfBoundsException

  Method getResponseGeneral

  Parameters:
    `index` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### getResponseGeneralCount

    public int getResponseGeneralCount()

  Method getResponseGeneralCount

### getResponseNcb

    public ResponseNcb getResponseNcb()

  Method getResponseNcbReturns the value of field 'responseNcb'.

  Returns:
    the value of field 'responseNcb'.

### getResponseReport

    public ResponseReport getResponseReport()

  Method getResponseReportReturns the value of field 'responseReport'.

  Returns:
    the value of field 'responseReport'.

### isValid

    public boolean isValid()

  Method isValid

### removeAllResponseGeneral

    public void removeAllResponseGeneral()

  Method removeAllResponseGeneral

### removeResponseGeneral

    public ResponseGeneral removeResponseGeneral(int index)

  Method removeResponseGeneral

  Parameters:
    `index` -

### setResponseEnquiryItem

    public void setResponseEnquiryItem(ResponseEnquiryItem responseEnquiryItem)

  Method setResponseEnquiryItemSets the value of field 'responseEnquiryItem'.

  Parameters:
    `responseEnquiryItem` - the value of field 'responseEnquiryItem'.

### setResponseEnquiryNcbAddress

    public void setResponseEnquiryNcbAddress(ResponseEnquiryNcbAddress responseEnquiryNcbAddress)

  Method setResponseEnquiryNcbAddressSets the value of field 'responseEnquiryNcbAddress'.

  Parameters:
    `responseEnquiryNcbAddress` - the value of field 'responseEnquiryNcbAddress'.

### setResponseEnquiryNcbService

    public void setResponseEnquiryNcbService(ResponseEnquiryNcbService responseEnquiryNcbService)

  Method setResponseEnquiryNcbServiceSets the value of field 'responseEnquiryNcbService'.

  Parameters:
    `responseEnquiryNcbService` - the value of field 'responseEnquiryNcbService'.

### setResponseGeneral

    public void setResponseGeneral(int index,
                                   ResponseGeneral vResponseGeneral)
                            throws java.lang.IndexOutOfBoundsException

  Method setResponseGeneral

  Parameters:
    `index` -
    `vResponseGeneral` -
  Throws:
    `java.lang.IndexOutOfBoundsException`

### setResponseGeneral

    public void setResponseGeneral(ResponseGeneral[] responseGeneralArray)

  Method setResponseGeneral

  Parameters:
    `responseGeneralArray` -

### setResponseNcb

    public void setResponseNcb(ResponseNcb responseNcb)

  Method setResponseNcbSets the value of field 'responseNcb'.

  Parameters:
    `responseNcb` - the value of field 'responseNcb'.

### setResponseReport

    public void setResponseReport(ResponseReport responseReport)

  Method setResponseReportSets the value of field 'responseReport'.

  Parameters:
    `responseReport` - the value of field 'responseReport'.

### validate

    public void validate()
                  throws org.exolab.castor.xml.ValidationException

  Method validate

  Throws:
    `org.exolab.castor.xml.ValidationException`

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD